jmeter-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thorsten Scherler <thorsten.scherler....@juntadeandalucia.es>
Subject How to fix jmeter under Ubuntu 8.04 failing?
Date Fri, 27 Jun 2008 11:19:31 GMT
Hi all,

I am trying to use the jmeter gui but being on Ubuntu  8.04 - the Hardy´╗┐
Heron there are some known issues with starting java apps.

https://bugs.launchpad.net/ubuntu/+source/libxcb/+bug/185311

Bottom line is that after fixing some issues I now got back jmeter. For
the record and to save the time of my fellow developers, here what I
did.

1) Go to http://people.ubuntu.com/~bryce/Testing/libx11/ and download
 a) libx11-6_1.1.3-1ubuntu2~noxcb_i386.deb
 b) libx11-6-dbg_1.1.3-1ubuntu2~noxcb_i386.deb 
 c) libx11-dev_1.1.3-1ubuntu2~noxcb_i386.deb 

2) Install in the same order as you downloaded. E.g. a) with:
    dpkg -i libx11-6_1.1.3-1ubuntu2~noxcb_i386.deb

3) Edit you bash profile 
    vi ~/.bashrc
   and add:
    export LIBXCB_ALLOW_SLOPPY_LOCK=1

That should do it and you can use jmeter as usual from here on (I
actually did a restart of the system, you may need to do the same).

HTH and serves a future reference to fix the problem.

salu2
-- 
Thorsten Scherler                                 thorsten.at.apache.org
Open Source Java                      consulting, training and solutions


---------------------------------------------------------------------
To unsubscribe, e-mail: jmeter-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: jmeter-user-help@jakarta.apache.org


Mime
View raw message